#!/bin/sh

set -e

# find any documentation installed by debootstrap that matches our
# dpkg exclude filters, and remove it; and install a correct dpkg config
# to apply these filters on an ongoing basis.

# FIXME: this needs refactoring to not duplicate information between
# this hook script and config/common.  We don't want to maintain two copies
# of the include/exclude list.
find /usr/share/doc/ -mindepth 2 -maxdepth 2 '!' -name copyright -print0 \
     | xargs -0 rm -rfv
find /usr/share/man/ /usr/share/groff/ /usr/share/info/ /usr/share/lintian/ \
     /usr/share/linda/ -mindepth 1 -maxdepth 1 -print0 | xargs -0 rm -rfv
find /usr/share/locale/ -mindepth 1 -maxdepth 1 '!' -name locale.alias -print0 \
     | xargs -0 rm -rfv

cat > /etc/dpkg/dpkg.cfg.d/01_nodoc << EOF
path-exclude /usr/share/doc/*
# we need to keep copyright files for legal reasons
path-include /usr/share/doc/*/copyright
path-exclude /usr/share/man/*
path-exclude /usr/share/groff/*
path-exclude /usr/share/info/*
# lintian stuff is small, but really unnecessary
path-exclude /usr/share/lintian/*
path-exclude /usr/share/linda/*
# Drop translations, but keep support for /etc/locale.alias.
path-exclude /usr/share/locale/*
path-include /usr/share/locale/locale.alias
EOF
